import * as BunnySDK from '@bunny.net/edgescript-sdk';
import { handleFunctions } from '../src/main.ts';

BunnySDK.net.http
  .servePullZone({ url: 'https://akols.com' })
  .onOriginRequest(
    (ctx: { request: Request }): Promise<Request> | Promise<Response> => {
      const funcResp = handleFunctions(ctx.request);

      if (funcResp !== undefined) {
        return Promise.resolve(funcResp);
      }

      return Promise.resolve(ctx.request);
    }
  );
